Name:           synce-gnomevfs
Version:        0.9.0
Release:        2%{?dist}
Summary:        Gnome-vfs module for synce

Group:          Applications/Communications
License:        MIT
URL:            http://synce.sourceforge.net/
Source0:        http://dl.sf.net/synce/synce-gnomevfs-0.9.0.tar.gz
Patch0:         synce-gnomevfs-makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  synce-devel
BuildRequires:  gnome-vfs2-devel
BuildRequires:  ORBit2-devel
BuildRequires:  glib2-devel

Requires:       synce
Requires:       gnome-vfs2

%description
This is a gnome-vfs module that enables access to the Windows CE or Pocket
PC file system through the gnome-vfs functions.

%prep
%setup -q
%patch0

%build
%configure --disable-static --with-libsynce-include=%{_includedir} \
--with-libsynce-lib=%{_libdir} --with-librapi2-include=%{_includedir} \
--with-librapi2-lib=%{_libdir}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/libsyncevfs.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog LICENSE NEWS
%{_bindir}/synce-in-computer-folder
%config(noreplace) %{_sysconfdir}/gnome-vfs-2.0/modules/synce-module.conf
%{_libdir}/gnome-vfs-2.0/modules/libsyncevfs.so
%{_datadir}/pixmaps/synce/synce-color.png
%{_datadir}/synce/synce-in-computer-folder.sh


%changelog
* Mon Dec 12 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-2
- add dist tag

* Tue Aug 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-1
- Initial Release
